package com.bonus.zlpt.order.service;

import java.util.List;
import com.bonus.zlpt.common.core.domain.order.OrderDetails;
import com.bonus.zlpt.common.core.domain.order.dto.ContractInfoDto;
import com.bonus.zlpt.common.core.domain.order.vo.OrderDetailsVo;

/**
 * 订单详细Service接口
 * 
 * @author xsheng
 * @date 2023-12-01
 */
public interface IOrderDetailsService 
{
    /**
     * 查询订单详细
     * 
     * @param id 订单详细主键
     * @return 订单详细
     */
    public OrderDetailsVo selectOrderDetailsById(Long id);

    /**
     * 查询订单详细列表
     * 
     * @param orderDetails 订单详细
     * @return 订单详细集合
     */
    public List<OrderDetails> selectOrderDetailsList(OrderDetails orderDetails);

    /**
     * 新增订单详细
     * 
     * @param orderDetails 订单详细
     * @return 结果
     */
    public int insertOrderDetails(OrderDetailsVo orderDetails);

    /**
     * 修改订单详细
     * 
     * @param orderDetails 订单详细
     * @return 结果
     */
    public int updateOrderDetails(OrderDetailsVo orderDetails);

    /**
     * 批量删除订单详细
     * 
     * @param ids 需要删除的订单详细主键集合
     * @return 结果
     */
    public int deleteOrderDetailsByIds(Long[] ids);


    int addContract(ContractInfoDto dto);

    /**
     * 删除订单详细信息
     * 
     * @param id 订单详细主键
     * @return 结果
     */
    public int deleteOrderDetailsById(Long id);
}
